QGIS Application - Bug report #3141

Georeferencer transformation type dropdown menu is incorrect

2010-10-20 10:16 AM - dr -

Status: Closed
Priority: Low
Assignee: Tim Sutton
Category: C++ Plugins

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?:
Easy fix?:
Resolution:

No
No
fixed

Copied to github as #: 13201

Description

If choose Polynomial 3 type and press OK, message "Polynomial 3 requires at least 1 GCPs. Please define more" appears.But
polynomial 3 requires at least 10 GCPs. If choose another menu item, for example, polynomial 1 type, then message "Polynomial 1
requires at least 6 GCPs. Please define more" appears. But polynomial 1 requires 3 GCPs. And another menu items also incorrect.

History

#1 - 2010-10-30 11:41 AM - lynxID -

The reason of this bug is wrong place of the Projective transformation in the Transformation [[ComboBox]]. | have attached a patch that will fix this bug.

#2 - 2010-11-02 12:29 PM - Alexander Bruy
- Resolution set to fixed
- Status changed from Open to Closed

Applied in commit:1828dd7e (SVN r14492)

Files

georef-projective.patch

2025-04-27
